
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Segmentation evaluation &#8212; seg_compare 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="nav-item nav-item-0"><a href="index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Segmentation evaluation</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="segmentation-evaluation">
<h1>Segmentation evaluation<a class="headerlink" href="#segmentation-evaluation" title="Permalink to this headline">¶</a></h1>
<p>This repository presents tools for quantitative and in depth comparison of segmentation quality of various 3D segmentation pipelines. Segmentation outputs (.tif images) from the pipelines may be evaluated if one has the corresponding ground truth segmentated image (.tif format).</p>
<div class="section" id="installation">
<h2>Installation<a class="headerlink" href="#installation" title="Permalink to this headline">¶</a></h2>
<ol>
<li><p>Download the <a href="https://gitlab.inria.fr/mosaic/publications/seg_compare/-/tree/master/envs/mars_env.yaml">  mars_env.yaml </a> file. See the folder <b>envs/</b> in the <a href="https://gitlab.inria.fr/mosaic/publications/seg_compare">  GitLab</a>.</p></li>
<li><p>Open a terminal and navigate to the localisation of the <code class="docutils literal notranslate"><span class="pre">mars_env.yaml</span></code> file.</p></li>
<li><p>Create and activate a new environment</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">env</span> <span class="pre">create</span> <span class="pre">-f</span> <span class="pre">mars_env.yaml</span></code></p>
</li>
</ol>
</div>
<div class="section" id="volume-averaged-jaccard-index">
<h2>Volume averaged Jaccard Index<a class="headerlink" href="#volume-averaged-jaccard-index" title="Permalink to this headline">¶</a></h2>
<p>This tool estimates the quality of the segmentation by calculating a weighted arithmetic mean of cell-to-cell Jaccard indices. The cell volumes are the weights. This tool estimates the segmentation errors per volume rather than per cells.</p>
<div align="center">
<img src="_static/vaji.png" alt=general pipeline width="250" height="100"/>
<figcaption> Volume averaged Jaccard Index </figcaption>
</div>
<p>where |Gi| is the volume of the ground truth cell (i), {Gi}  and {Pf(i)} are the sets of annotated ground truth and the corresponding predicted cells with index i.</p>
<p><b>Uses</b></p>
<ol>
<li><p>Activate the <code class="docutils literal notranslate"><span class="pre">mars</span></code> environment:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">mars</span></code></p>
</li>
<li><p>Download the <a href="https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/notebooks/Volume averaged Jaccard index evaluation.ipynb">  Volume averaged Jaccard index evaluation </a> notebook (folder <b>notebooks/</b> in the <a href="https://gitlab.inria.fr/mosaic/publications/seg_compare">  GitLab</a>).</p></li>
<li><p>Open the Jupyter file browser using:</p>
<p><code class="docutils literal notranslate"><span class="pre">jupyter</span> <span class="pre">notebook</span></code></p>
</li>
<li><p>Navigate in the browser to the jupyter notebook. Open it.</p></li>
<li><p>In the notebook, update the cell containing the image data localisation.</p></li>
<li><p>Run the notebook.</p></li>
</ol>
</div>
<div class="section" id="segmentation-qualities-in-terms-of-rates-of-correct-segmentations-over-undersegmentations">
<h2>Segmentation qualities in terms of rates of correct segmentations, over/undersegmentations<a class="headerlink" href="#segmentation-qualities-in-terms-of-rates-of-correct-segmentations-over-undersegmentations" title="Permalink to this headline">¶</a></h2>
<p>This tool estimates the type of the errors encountered in a predicted segmentation. It is based on the segmentation comparison method developed by G.Michelin [1].</p>
<p>[1] Michelin, G. (2016, October). Outils d’analyse d’images et recalage d’individus pour l’étude de la morphogenèse animale et végétale (Doctoral dissertation)</p>
<div align="center">
<img src="_static/segqual.png" alt=general pipeline width="700" height="250"/>
<figcaption> Segmentation quality: Over (red)/ Under (blue)/Correct (green) segmentation </figcaption>
</div>
<p><b>Uses</b></p>
<ol>
<li><p>Activate the <code class="docutils literal notranslate"><span class="pre">mars</span></code> environment:</p>
<p><code class="docutils literal notranslate"><span class="pre">conda</span> <span class="pre">activate</span> <span class="pre">mars</span></code></p>
</li>
<li><p>Download the <a href="https://gitlab.inria.fr/mosaic/publications/seg_compare/-/blob/master/notebooks/Characterization of the segmentation errors (underseg, overseg,...).ipynb">  Characterization of the segmentation errors (underseg, overseg,…) </a> notebook (folder <b>notebooks/</b> in the <a href="https://gitlab.inria.fr/mosaic/publications/seg_compare">  GitLab</a>).</p></li>
<li><p>Open the Jupyter file browser using:</p>
<p><code class="docutils literal notranslate"><span class="pre">jupyter</span> <span class="pre">notebook</span></code></p>
</li>
<li><p>Navigate in the browser to the jupyter notebook. Open it.</p></li>
<li><p>In the notebook, update the cells containing the image data localisation.</p></li>
<li><p>Run the notebook.</p></li>
</ol>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">Segmentation evaluation</a><ul>
<li><a class="reference internal" href="#installation">Installation</a></li>
<li><a class="reference internal" href="#volume-averaged-jaccard-index">Volume averaged Jaccard Index</a></li>
<li><a class="reference internal" href="#segmentation-qualities-in-terms-of-rates-of-correct-segmentations-over-undersegmentations">Segmentation qualities in terms of rates of correct segmentations, over/undersegmentations</a></li>
</ul>
</li>
</ul>

  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/evaluation.md.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="nav-item nav-item-0"><a href="index.html">seg_compare 0.0.1 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">Segmentation evaluation</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Anuradha Kar.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 3.2.1.
    </div>
  </body>
</html>